Bug 215540 - Machine hangs using "via" drv from X.org
Machine hangs using "via" drv from X.org
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 11:14 EST by Santiago Bosio
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 09:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg configuration file (1.19 KB, text/plain)
2006-12-13 09:20 EST, Santiago Bosio
no flags Details
Log of Xorg with "via" driver (56.25 KB, text/plain)
2006-12-13 09:24 EST, Santiago Bosio
no flags Details
Log of Xorg without config file (59.16 KB, text/plain)
2006-12-13 09:26 EST, Santiago Bosio
no flags Details

  None (edit)
Description Santiago Bosio 2006-11-14 11:14:16 EST
Description of problem: Machine hangs when using X.org drv "via" and opening a
browser page with a Flash Player animation.

Version-Release number of selected component (if applicable):
X.org 6.7.1
Firefox 1.5.0.8
Plugin Gnash 0.7.1

How reproducible:
It hangs every time you try to view a Flash animation.

Steps to Reproduce:
1. Using "via" X.org drv on an ACER Aspire 1520 laptop (VIA S3 Unichrome Pro
-K8N800 chipset-).
2. Opening an HTML page with a Flash Player animation on Firefox.
3. Machine freezes, no responsiveness, need to hard reboot.

Additional info:
Also, some applications that use 3D acceleration (OpenGL) hang the machine.
I have to switch to "vesa" driver in order to use the machine.
Comment 1 Matěj Cepl 2006-12-13 07:28:11 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card. Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Santiago Bosio 2006-12-13 09:20:31 EST
Created attachment 143513 [details]
Xorg configuration file

This is my xorg.conf file. Normally, I have to use "vesa" driver and comment
out "via" driver.
Comment 3 Santiago Bosio 2006-12-13 09:24:07 EST
Created attachment 143514 [details]
Log of Xorg with "via" driver

This is the log of Xorg, when using "via" driver, with xorg.conf file present.
Comment 4 Santiago Bosio 2006-12-13 09:26:53 EST
Created attachment 143515 [details]
Log of Xorg without config file

This is the log of Xorg when there's no xorg.conf and uses built-in
configuration.
Comment 5 Santiago Bosio 2006-12-13 09:33:08 EST
Matej:
I have added the 3 attachments you ask for. I hope this will help you track down
this issue.
I suppose you know already, but this issue seems to be related with OpenGL
exclusively (I just find out that gnash uses OpenGL to render Flash animations).
Thanks in advance,

Santiago.
Comment 6 Adam Jackson 2007-11-28 11:10:47 EST
Mass migration: via -> openchrome.
Comment 7 Xavier Bachelot 2007-11-28 16:54:39 EST
Please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via.
Comment 8 Matěj Cepl 2008-01-21 10:38:40 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2008-02-21 09:43:23 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.